Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class MessageDigestSpi

    java.lang.Object
      |
      +--java.security.MessageDigestSpi

Direct Known Subclasses:
  MessageDigest

public abstract synchronized class MessageDigestSpi
extends Object

Constructor Summary
`MessageDigestSpi()`

Method Summary
`Object` | `clone()`
`protected abstract byte[]` | `engineDigest()`
`protected int` | `engineDigest(byte[], int, int)`
`protected int` | `engineGetDigestLength()`
`protected abstract void` | `engineReset()`
`protected abstract void` | `engineUpdate(byte)`
`protected abstract void` | `engineUpdate(byte[], int, int)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDigestSpi

    public MessageDigestSpi()

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    clone in class Object

### engineDigest

    protected abstract byte[] engineDigest()

### engineDigest

    protected int engineDigest(byte[],
                               int,
                               int)
                        throws DigestException

### engineGetDigestLength

    protected int engineGetDigestLength()

### engineReset

    protected abstract void engineReset()

### engineUpdate

    protected abstract void engineUpdate(byte)

### engineUpdate

    protected abstract void engineUpdate(byte[],
                                         int,
                                         int)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.